mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.DES Managed implementation of the Data Encryption Standard (DES), a 64 bits (56 bits effective) symmetric cipher. In Mono this class is completely implemented in managed code.
- Constructor
  To be added

  In general you should not use this constructor directly - unless you require a special service from the class that isn't available from the base class. The prefered way to create a DES instance is to use . (). This will allow the system owners to replace the DES implementation if required (e.g. buggy implementation or hardware acceleration).

  // prefered DES des = DES.Create ();

  // not recommended DESCryptoServiceProvider des = new DESCryptoServiceProvider ();
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Security.Cryptography.ICryptoTransform `` `` Secret key to be used for the decryption transform. Initialization Vector (IV) to be used by the decryption transform. Creates a symmetric DES decryptor transform. a that is ready to be used to decrypt data. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.ICryptoTransform `` `` Secret key to be used for the encryption transform. Initialization Vector (IV) to be used by the encryption transform. Creates a symmetric DES encryptor transform. a that is ready to be used to encrypt data. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void Generate a new random Initialization Vector (IV) required for some block cipher modes.

  The IV is used for most of operation (except ). The value can be made public and must be available when decrypting the data.

  IMPORTANT: If you reuse the same DES object for multiple encryption using the same key it is CAPITAL that you use a different IV each time.

  `DES des = DES.Create (); des.Key = new byte[] { 0x01, 0x23, 0x45, 0x67, 0x89, 0xAB, 0xCD, 0xEF }; foreach (string file in files) { // each file MUST be encrypted with a different IV des.GenerateIV (); // encrypt the specified file with our DES key EncryptFile (file, des); }` 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void Generate a new 64 bits (56 bits effective) DES key. This method will never generate a weak or semi-weak key. 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)